<div class='page-col'>
  <Input::Select
    class='page-col-type'
    @list={{this.pageCols.availableTypes}}
    @value={{this.type}}
    @onChange={{this.typeChanged}}
  />

  {{#if this.hasEditor}}
    {{component
      this.componentName
      value=@value
      onChange=this.dataChanged
    }}
  {{/if}}
</div>
